Lynx for Win32 by patakuti 変更履歴
===============================================================================

2017-9-9 (Version 2.8.9rel.16TH)
  - Version 2.8.9dev.16 に対応
    # 2.8.8dev.9 で、私が sourceforge.jp で公開していた版の変更の
    # 大部分が本家に反映され、本家との差分がとても小さくなりました。

  - 以下の問題の修正
    - ACTION 属性がない BUTTON にカーソルを合わせて、
      'd'(download) キー押下で異常終了する。
    - Content-Encoding: gzip で送信されたデータの処理に失敗する。
      # 現象は上記のとおりですが、原因は rename 関数の非互換性の問題でした。
      # 参考: https://www.securecoding.cert.org/confluence/display/c/FIO10-C.+Take+care+when+using+the+rename%28%29+function
    - title barに長いタイトルが表示されない。
    - PRE 内の長いテキストの折り返しがおかしい。
    - 画面サイズの指定で、サイズによって正常に処理できない。
      例: 80x25 -> 90x20
    - クリップボードからの貼り付け (LYE_PASTE) が正常に動作しない。

2007-5-3 (Version 2.8.6rel.4TH)
  - Version 2.8.6rel.4 に対応

  - 以下の問題の修正
    + 表示中のページの次のページが1行だけのときの処理が不適切な問題

    + bzip2 で圧縮されたページが表示できない問題
      (configure オプションの変更)
      例: http://lynx.browser.org/

2006-9-2 (Version 2.8.6dev.18TH)
  - Version 2.8.6dev.18 に対応
    # Windows 環境で、外部ホストの名前解決にスレッドを使うと
    # 落ちるという問題が修正されました。これに伴い、lynx.cfg の
    # USE_THREAD_GETHOSTBYNAME の設定を廃止しました (常にスレッド
    # を使うようにした)。

  - コンパイラを Borland の bcc32 から、Cygwin の gcc (-mno-cygwin)
    に変更
    # bcc32 では、簡単に GnuTLS が利用できそうになかったために変更
    # しました。

  - SSL ライブラリを OpenSSL から、GnuTLS に変更
    ※ OpenSSL と GnuTLS の互換性は完全ではありませんが、ほぼ同等の
       機能になるように Lynx 自体も修正しました。ただし、一部動作が
       異なります。
       例えば、起動後、最初に SSL を用いたサイトに接続するのに余計に
       時間がかかるようになりました
       # mobile AMD Athron(TM)XP-M 1800+ で瞬時→10秒程度

  - 以下の問題の修正
    + '#' 付のURLで参照した場合に、ページ内の移動の処理が
      おかしくなる問題
      # ad hoc な修正です。

  - その他の修正
    + FEPCTRL を無効にした
    + Lynx settings のリンク先の変更
      # http://www.hippo.ru/%7Ehvv/lynxcfg_toc.html から、
      # http://www.geocities.jp/lynx_cfg/lynxcfg_toc.html への変更

2006-4-10 (Version 2.8.6dev.17TH)
  - Version 2.8.6dev.17 に対応

  - インストーラを Inno Setup に変更

  - ファイル構成の変更
    + 国際化対応版作成に伴い、日本語で書いた文書の場所を docs-jp に変更
    + zlib のバージョンを 1.2.3 に変更し、ビルド済みのものをリンクする
      ように変更
    + 利用ライブラリのライセンスファイルを追加

  - 以下の問題の修正
    * 本文が ecu-jp で書かれたページに、数値文字参照でUNICODEの
      日本語が含まれていると文字化けする問題 (部分的な改善)

2006-1-14 (Version 2.8.6dev.16TH)
  - Version 2.8.6dev.16 に対応
    * 本家が　xhtml+xml の文書の表示に対応したため、
      独自拡張の PARSE_XHTML_AS_HTML を廃止。

      以下は本家の修正の抜粋です
        . 画面の横幅をより有効に利用するコマンドラインオプション
          (-nomargins) が追加されました。
        . 選択したリンクが複数行にわたる場合に、表示がおかしくなる
　        問題が解消されました。
        . コマンドラインに複数の URL を指定できるようになりました。
          # 指定された URL は、G)oto の履歴に保存されます。

      なお、「UTF-8 で書かれた日本語ページが表示できる機能」は、
      本家に取り込まれました

  - 以下の問題の修正
    * file://localhost/C|/... という形式の URL をうまく扱えない
      問題

2005-12-11 (Version 2.8.5rel.1THg)
  - 以下の問題の修正
    * 2.8.5rel.1THf の修正で EXTERNAL で外部コマンドを起動する際の
      半角スペース等の扱いを変えた関係で、ローカルファイルに対する 
      EXTERNAL の挙動が変わり、外部コマンドに正しいファイルパスが
      渡らなくなった問題
      # 半角スペースの他に、日本語なども該当します。

    * 外部サイトとの通信が非常に高速な場合に、通信中に Lynx が
      異常終了する問題
      # 2.8.6dev.12 の修正のバックポート (ws_netread 回り)

2005-11-26 (Version 2.8.5rel.1THf)
  - 以下のセキュリティ問題の修正
    * EXTERNAL での外部プログラム起動時に、任意のコマンドが実行
      されたり、ファイルの内容を上書きされたり、環境変数の内容が
      漏れたりする問題
      # lynx.cfg で EXTERNAL で外部プログラムを指定している場合に
      # のみ影響します。

2005-11-19 (Version 2.8.5rel.1THe)
  - 以下のセキュリティ問題の修正
    * NNTP 処理のスタックオーバーフローの脆弱性
      参考: http://www.jpcert.or.jp/wr/2005/wr054201.txt
      # 2.8.6dev.14 の修正のバックポート

  - 以下の機能を追加
    * 外部プログラムを呼び出す際に、その終了を待つかどうかを
      指定するオプション WAIT_VIEWER_TERMINATION を導入
      (デフォルトは FALSE)

  - 以下の問題の修正
    * type="hidden" の INPUT 要素の VALUE が UTF-8 で
      エンコードされた場合に正しく処理されない問題

2005-09-24 (Version 2.8.5rel.1THd)
  - 以下の機能を追加
    * FORM の送信文字列のエンコードが UTF-8 の場合に対応
      # Wikipedia, MSN サーチなどでの日本語の検索、
      # 文字コードが UTF-8 の Wiki や blog の編集などができる
      # ようになります。ただし、一旦 Shift_JIS (or euc-jp) に
      # 変換するので、情報が欠落する可能性があります。

    * 「表示するキャラクタセット」が UTF-8 の時、euc-jp, Shift_JIS
      で書かれた文書の表示に対応。
      # ただし、META 要素、もしくは、HTTP のレスポンスで明示的に
      # 文字コードを指定した場合のみ。
      # また、iso-2022-jp で書かれた文書は非対応
      # UNIX環境で添付のpatchを利用する場合にだけ影響します。

  - その他の修正
    * VIEWER で外部ビューワを立ち上げた際に、拡張子が .jpe ではなく、
      .jpeg になるように修正
      # HTInit.c で、拡張子 .jpe と mime-type image/jpeg の関連を
      # 削除した

2004-12-05 (Version 2.8.5rel.1THc)
  - 以下の問題の修正
    * 一部のページを閲覧しようとすると、メモリを大量に消費する問題
      ref: http://seclists.org/lists/bugtraq/2004/Oct/0173.html
      # この修正のパッチは、Thomas E. Dickey 氏のパッチを、
      # Thorsten Glaser 氏が抜粋したものを採用しました。
      #     http://news.gw.com/openbsd.tech/12678

  - 以下の機能を追加
    * DEFAULT_INDEX_FILE を、実行ファイルからの相対パスで指定できる機能

  - その他の修正
    * google の検索用のページを配布ファイルに追加。

    * 配布ファイル中の lynx.cfg に DEFAULT_INDEX_FILE の記述を追加し、
      上記 google の検索用のページを差すようにした。
      # 'i' で、検索用のページが開くようになりました。

2004-09-04 (Version 2.8.5rel.1THb)
  - 以下の問題の修正
    * CJKモードをオプションメニューでOFFにする場合と、'@'キーで
      OFFにする場合とで挙動が異なる問題 (暫定対応)
    * ETA表示が'ZZ sec 秒'のようにsecと秒が二重に表示される問題
    * &#x32ee;(丸の中にカタカナのマ)などが期待通りに表示できない
      問題(「(マ)」と表示する)
    * ファイル管理オプション画面で、"Modify File Name" と、
      "Remove File" が利用できなかった問題
    * UTF-8 で書かれた日本語ページの表示に対応するための処理が、
      glibc の iconv では正しく処理できていなかった問題
      (Linux などで添付のpatchを利用する場合にだけ影響します)

  - その他の修正
    * zlib のバージョンを1.2.1に変更
      (make -f win32/Makefile.bor LOCAL_ZLIB=-tWM)

2004-03-27 (Version 2.8.5rel.1THa)
  - 以下の問題の修正
    * WinNT環境で、外部プログラムの起動、画面の最大化や、シェル
      の起動の後、ステータスラインの位置が不正になることがある問題

2004-02-23 (Version 2.8.5rel.1TH)
  - Version 2.8.5rel.1 に対応

  - その他の修正
    * SSL を有効化
    * SSL で利用するサーバ証明書の場所として、Lynx のインストール
      ディレクトリも探すように修正

2004-01-17 (Version 2.8.5dev.16THc)
  - 以下の問題の修正
    * iso-2022-jpで書かれたページの一部が文字化けする問題
      # 2.8.5dev.16THb における、以下の修正に副作用があったため、
      # 修正を元に戻した。
      #   「表示するキャラクタセット」が日本語で、
      #   「仮定するキャラクタセット」が utf-8 の時に期待通りに処理されて
      #   いなかった問題に対する修正
    * PC の負荷が高い時に、画面を最大化する機能が失敗する問題

2004-01-11 (Version 2.8.5dev.16THb) ※ 配布中止
  - 以下の問題の修正
    * -stdin オプション指定時にキー入力ができない問題 (PDCurses の修正)
    * WinNT 環境で、起動時に画面からはみ出ることがあった問題
    * 「表示するキャラクタセット」が日本語で、
      「仮定するキャラクタセット」が utf-8 の時に期待通りに処理されて
      いなかった問題

  - 以下の機能を追加
    * 画面を最大化する機能 (「Ctrl+Z」で相互に切り替え)
    * XHTML (application/xhtml+xml) で書かれたページ を HTML と
      見なして処理する機能 (PARSE_XHTML_AS_HTML で切り替え可能)。

  - その他の修正
    * readme.txt, welcome.html で、キー操作の記述方法を統一。

2003-09-15 (Version 2.8.5dev.16THa)
* DNS への問い合わせを、別スレッドの処理で行うかどうかの指定が行える
  ように変更 (USE_THREAD_GETHOSTBYNAME)。
  # http://ash.jp/linux/lynx/, http://leb.net/blinux/blynx/
  # 等、WinNT 環境で特定の URL へアクセスした時に Lynx が異常終了する
  # 件の暫定的な対応。

2003-08-31 (Version 2.8.5dev.16TH)
* 2-8-5dev.16 に対応
  # 以下の問題が解消されました。
  #   + HTML のソースで、STYLE 要素の終了タグが、</STYLE > となっている時、
  #     HTML のパーズに失敗する
  #     ex: http://www.sankei.co.jp/
  #   + TEXTAREA の一行目の改行文字が無視される
  #   + http://japanese.joins.com/php/bilingual.php?aid=20030515203420
  #     が -nested-tables 指定時に異常終了する
* WinNT 環境で、外部プログラムとして EXTERNAL:http:start %s:TRUE とし、
  .キーで外部プログラムを実行するとその後 ^sキーが効かなくなる問題の修正
* CONCON 問題を回避する処理を導入 (千秋氏のパッチを採用させて頂きました)
* デフォルトの配色の修正
  # 「超ミラクルスーパーハイパーブラウザ:Lynx」の179 さん、
  # の配色を採用させていただきました。
* lynx.cfg に以下の記述を追加
    PREFERRED_LANGUAGE:ja
  # この設定は、Accept-Language ヘッダで使用され、複数の言語で提供
  # されているページが日本語で表示されます。
* デフォルトの設定を、半角カナを全角カナに変換しないモードに変更。
  # CONV_JISX0201KANA:FALSE
* lynx.cfg がすでに存在する時には上書きしないようにした
  (copyLynxCfg.exe の導入)

2003-05-17 (Version 2.8.5dev.15THa)
* WinNT 環境で Lynx 終了時に画面のバッファサイズを元に戻すように修正。
  # 「超ミラクルスーパーハイパーブラウザ:Lynx」の144 さん、
  # ありがとうございました。

2003-05-04 (Version 2.8.5dev.15TH)
* 2-8-5dev.15 に対応。
* libintl.dll を導入し、設定ファイル中のオプション MESSAGE_LANGUAGE
  でメッセージの言語を選択できるように修正。
* Version 2.8.5dev.14THb において、Delete キーに対応するキーコードを修正
  したのを元に戻した。それに伴い、Noviceモードの画面下部のガイドと、
  'K' (KEYMAP) で表示されるキーマップの Delete, BackSpace の部分を
  現状に合うように修正。
  # Delete: DOWN_TWO
  # BackSpace: HISTORY

2003-04-19 (Version 2.8.5dev.14THb)
* 現在選択されているリンクが反転してなくて色が見づらい問題の修正
  (添付の lynx.cfg の修正)。
* 「VI 風キー配列」にしている時にも、Noviceモードの画面下部の
  ガイドに「[h]ヘルプ」と表示される問題の修正。
  # 単に常に「[H]ヘルプ」と表示されるようにしましたので、
  # 設定ファイルの KEYMAP で変更した場合には対応しません。
* '~' (NESTED_TABLES) 押下時のメッセージがおかしかったので修正
* UTF-8 で書かれた日本語のページのimg要素のalt,title属性の文字化け
  の修正
* JISX0201カナ(いわゆる「半角カナ」)をJISX0208に変換するかしない
  かを指定する設定ファイルのオプション (CONV_JISX0201KANA) を追加。
* ダウンロード中のETA表示がおかしい問題の修正
* 最初に起動するときに、ペイジが表示されるまでの待ち時間のあいだ、
  画面の下が黒いままなのが格好悪い問題の修正
* Del キーが正しく働いていなかった問題の修正

2003-02-16 (Version 2.8.5dev.14THa)
* Version 2.8.5dev.14TH において行った、終了時に、起動時のコンソール
  サイズに戻すようにした修正が正しく動作していなかったので修正。

2003-02-09 (Version 2.8.5dev.14TH)
* 2-8-5dev.14 に対応。
  # 「'g' の後上下矢印で入力したURLの履歴を表示する機能」が使え
  # なくなっていた問題は解消されました。
* デフォルトの背景色を灰色に変更。
* 背景色に明るい色が指定できるように修正。
* 終了時に、起動時のコンソールサイズに戻すように修正(PDCurses の修正)。

2002-11-30 (Version 2.8.5dev.9TH)
* 2-8-5dev.9 に対応。
* UTF-8 で書かれた日本語ページの表示に対応。

2002-06-01 (Version 2.8.5dev.7THd)
* WinNT 環境で、画面サイズとバッファサイズが異なる場合に正しく
  画面が描画できない不具合の改善。
* WinNT 環境で、1行入力中に入力中の日本語の文字列が文字化けする
  不具合と、BackSpace が適切に働かない不具合の改善。

2002-04-28 (Version 2.8.5dev.7THc)
* SCREEN_SIZE もしくは、-scrsize で画面サイズを指定した時に、
  背景色が黒になってしまう不具合の改善。

2002-03-30 (Version 2.8.5dev.7THb)
* WinNT4.0 でキー入力が正しく処理できていなかったので修正。
* 環境変数 TMP もしくは TEMP が定義されていない場合、LYNX.EXE が
  あるディレクトリを一時作業ディレクトリに指定するように修正。
* Version 表示を Lynx2.8.5dev.7THb のように、独自拡張のパッチが
  あたっていることを示すように変更。

2002-03-10 (Version 2.8.4dev.7THa)
* バイナリを SSL を無効にしてコンパイルしたものに差し替え。

2002-03-10 (Version 2.8.4dev.7TH)
* リリース。
